/*
 * 本範程式為Arduino結合DHT11的範例程式，由傑森創工提供
 * 由Adafruit DHT Sensor Library範例程式進行簡化改寫
 * 
 * 1，請先安裝Adafruit DHT Sensor Library函式庫，可由Arduino IDE裡的「程式管理員」進行安裝
 * 2，請先安裝Adafruit Unified Sensor Library函式庫，可由Arduino IDE裡的「程式管理員」進行安裝
 * 
 * 粉絲團：https://www.facebook.com/jasonshow
 * 傑森創工購物網：https://www.jmaker.com.tw/
 * 傑森創工部落格：https://blog.jmaker.com.tw/
 */
 
#include "DHT.h"
#define DHTPIN 9 
#define DHTTYPE DHT11
//#define DHTTYPE DHT22   // DHT 22 如果用的是DHT22，就用這行
//#define DHTTYPE DHT21   // DHT 21
DHT dht(DHTPIN, DHTTYPE);

void setup()
{
  Serial.begin(9600);
  Serial.println("DHTxx test!");
  dht.begin();  //初始化DHT
  
} // setup()

void loop()
{
  delay(1000);
  float h = dht.readHumidity();   //取得濕度
  float t = dht.readTemperature();  //取得溫度C

  //顯示在監控視窗裡
  Serial.print("Humidity: ");
  Serial.print(h);
  Serial.print(" %\t");
  Serial.print("Temperature: ");
  Serial.print(t);
  Serial.println(" *C ");
 
} // loop()
